org.jgrapht.generate

## Class HyperCubeGraphGenerator<V,E>

- java.lang.Object
- - org.jgrapht.generate.HyperCubeGraphGenerator<V,E>

- All Implemented Interfaces:
    GraphGenerator<V,E,V>

      public class HyperCubeGraphGenerator<V,E>
      extends Object
      implements GraphGenerator<V,E,V>

  Generates a hyper cube graph of any size. This is a graph that can be represented by bit strings, so for an n-dimensial hypercube each vertex resembles an n-length bit string. Then, two vertices are adjacent if and only if their bitstring differ by exactly one element.
  Since:
    Dec 21, 2008
  Author:
    Andrew Newell

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyperCubeGraphGenerator(int dim)` Creates a new HyperCubeGraphGenerator object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGraph(Graph<V,E> target, VertexFactory<V> vertexFactory, Map<String,V> resultMap)` This will generate the hypercube graph

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HyperCubeGraphGenerator

          public HyperCubeGraphGenerator(int dim)

      Creates a new HyperCubeGraphGenerator object.
      Parameters:
        `dim` - This is the dimension of the hypercube.

  - ### Method Detail

    - #### generateGraph

          public void generateGraph(Graph<V,E> target,
                           VertexFactory<V> vertexFactory,
                           Map<String,V> resultMap)

      This will generate the hypercube graph
      Specified by:
        `generateGraph` in interface `GraphGenerator<V,E,V>`
      Parameters:
        `target` - receives the generated edges and vertices; if this is non-empty on entry, the result will be a disconnected graph since generated elements will not be connected to existing elements
        `vertexFactory` - called to produce new vertices
        `resultMap` - if non-null, receives implementation-specific mappings from String roles to graph elements (or collections of graph elements)

Copyright © 2016. All rights reserved.